#ifndef FILEFEEDER_H
#define FILEFEEDER_H

#include "jabatoSound.h"
#include "jabatoSchedule.h"

class JabatoFileFeeder {
public:
  JabatoFileFeeder(JabatoSchedule *);
  ~JabatoFileFeeder();

  bool	  blockUpdated();

  void 		updateSound(JabatoSound *snd, int leftSeconds = 0, int blockIndex = -1);

  int    systemClock(int *hour, int *minute, int *second);

  const   char    *blockName();
  const   char 	  *blockJabatos();

  int     blockIndex();
  bool    blockProgram();
  int     blockSongs();
  bool    blockSongsShuffled();
  int	  blockSlots();
  char	 *blockSlotAt(int i);
  bool    blockSlotsShuffled();
  int 	  blockSongsPerSlot();

  int     blockBeginAtHour();
  int     blockBeginAtMinute();
  int     blockEndAtHour();
  int     blockEndAtMinute();

  int    blockLeftTime(int *h, int *m, int *s);

private:
  JabatoBlock     *block;
  int             m_blockIndex;
  JabatoSchedule  *schedule;
  bool            updated;

  bool    blockFinished(int leftSeconds = 0);

  int  	  currentDay, currentHour, currentMinute;

  int     finalSecond;
};

#endif
